export { supportedExtensions } from "./constants";
export { generateTypeDeclaration } from "./generateTypeDeclaration";
export { processScript } from "./processScript";
export { pull } from "./pull";
export { push } from "./push";
export { syncMacros } from "./syncMacros";
export { watch } from "./watch";
export type Info = {
    path: string;
    users: string[];
    characterCount: number;
    error: Error | undefined;
    warnings: {
        message: string;
    }[];
};
